#pragma once
#include "TorneoFactory.h"
#include <QDialog>

// Generado por uic desde DialogNuevoTorneo.ui
namespace Ui { class DialogNuevoTorneo; }

class DialogNuevoTorneo : public QDialog {
    Q_OBJECT
public:
    explicit DialogNuevoTorneo(QWidget* parent = nullptr);
    ~DialogNuevoTorneo();

    QString getNombre() const;
    QString getJuego()  const;
    TorneoFactory::TipoTorneo getTipo() const;

private:
    Ui::DialogNuevoTorneo* ui;
};
